<!doctype html>
<html>
<head>
    <title>TorBirdy 0.2.0: Sixth Beta Release | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="TorBirdy 0.2.0: Sixth Beta Release | Tor Project">
    <meta property="og:description" content="We are pleased to announce the sixth beta release of TorBirdy and the first in the 0.2 series:...">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/torbirdy-020-sixth-beta-release/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        TorBirdy 0.2.0: Sixth Beta Release
      </h1>
    <p class="meta">by sukhbir | June 23, 2016</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>We are pleased to announce the sixth beta release of TorBirdy and the first in the 0.2 series: TorBirdy 0.2.0. All users are encouraged to upgrade as this release fixes numerous security and privacy issues.</p>

<p>Notable changes include fixing local timestamp disclosure in the date and the message-ID headers, as detailed in tickets <a href="https://bugs.torproject.org/6314" rel="nofollow">#6314</a> and <a href="https://bugs.torproject.org/6315" rel="nofollow">#6315</a>. The patch for sanitizing the date header is <a href="https://gitweb.torproject.org/torbirdy.git/commit/?id=bfa822de6071e894dad3d5c59e4fdf2ebacd91e2" rel="nofollow">shipped</a> with TorBirdy. The patch for the message-ID header was <a href="https://bugzilla.mozilla.org/show_bug.cgi?id=902580" rel="nofollow">submitted upstream</a> to Mozilla and merged in Thunderbird 45, and it is therefore recommended that you upgrade to Thunderbird 45 if possible. </p>

<p>There are currently no known leaks in TorBirdy but please note that we are still in beta, so the usual caveats apply.</p>

<p>If you are using TorBirdy for the first time, visit the <a href="https://trac.torproject.org/projects/tor/wiki/torbirdy" rel="nofollow">wiki</a> to get started.</p>

<p>Other changes in this release include:</p>

<blockquote><p>
    0.2.0, 27 Jun 2016</p>
<p>     * Bug <a href="https://bugs.torproject.org/6314" rel="nofollow">#6314</a>: Prevent local timestamp disclosure via Date header<br />
     * Bug <a href="https://bugs.torproject.org/6315" rel="nofollow">#6315</a>: Prevent local timestamp disclosure via Message-ID header<br />
     * Bug <a href="https://bugs.torproject.org/13721" rel="nofollow">#13721</a>: Fix usage of wrong locale<br />
     * Bug <a href="https://bugs.torproject.org/17426" rel="nofollow">#17426</a>: Allow configuration of default email protocol<br />
     * Bug <a href="https://bugs.torproject.org/15459" rel="nofollow">#15459</a>: Add support for deterministic XPI generation<br />
     * Bug <a href="https://bugs.torproject.org/11387" rel="nofollow">#11387</a>, <a href="https://bugs.torproject.org/13006" rel="nofollow">#13006</a>: Fix non-standard EHLO argument<br />
     * Bug <a href="https://bugs.torproject.org/17118" rel="nofollow">#17118</a>: Allow manual account configuration for Gmail with OAuth2<br />
     * Bug <a href="https://bugs.torproject.org/19031" rel="nofollow">#19031</a>: Add and audit support for RSS reader<br />
     * Bug <a href="https://bugs.torproject.org/7847" rel="nofollow">#7847</a>: Audit and update support for NNTP<br />
     * Bug <a href="https://bugs.torproject.org/10683" rel="nofollow">#10683</a>: Update Thunderbird UI to reflect TorBirdy's state<br />
     * Bug <a href="https://bugs.torproject.org/19330" rel="nofollow">#19330</a>: Set secure defaults for outgoing mail servers<br />
     * Removed compatibility for older versions of Thunderbird and added support for Thunderbird 37+<br />
     * Added support for automatic configuration of Riseup email accounts<br />
     * Updated various privacy and security settings (see commit <a href="https://gitweb.torproject.org/torbirdy.git/commit/?id=2bdeffbb" rel="nofollow">2bdeffbb</a> for a list of the changes)<br />
     * Update translations for current languages
</p></blockquote>

<p>Many thanks to Arthur Edelstein and the Tails Developers for this release!</p>

<p>We offer two ways of installing TorBirdy -- either by visiting our <a href="https://dist.torproject.org/torbirdy/torbirdy-current.xpi" rel="nofollow">website</a> (<a href="https://dist.torproject.org/torbirdy/torbirdy-current.xpi.asc" rel="nofollow">GPG signature</a>; signed by <span class="geshifilter"><code class="php geshifilter-php"><span style="color: #208080;">0xB01C8B006DA77FAA</span></code></span>) or by visiting the <a href="https://addons.mozilla.org/en-us/thunderbird/addon/torbirdy/" rel="nofollow">Mozilla Add-ons page</a> for TorBirdy. Please note that there may be a delay -- which can range from a few hours to days -- before the extension is reviewed by Mozilla and updated on the Add-ons page. </p>

<p>(Packages for Debian GNU/Linux will be created and uploaded shortly.)</p>

    </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-188695"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-188695" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 27, 2016</p>
    </div>
    <a href="#comment-188695">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-188695" class="permalink" rel="bookmark">Thank you very much! I was</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thank you very much! I was waiting for TorBirdy ( as well as for TorMessenger )</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-188890"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-188890" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 28, 2016</p>
    </div>
    <a href="#comment-188890">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-188890" class="permalink" rel="bookmark">Should we infer that you</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Should we infer that you took over TorBirdy from JA?  What does this mean for TM development?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-188923"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-188923" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  sukhbir
  </article>
    <div class="comment-header">
      <p class="comment__submitted">sukhbir said:</p>
      <p class="date-time">June 28, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-188890" class="permalink" rel="bookmark">Should we infer that you</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-188923">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-188923" class="permalink" rel="bookmark">Tor Messenger development</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Tor Messenger development will continue as usual.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-188929"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-188929" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 28, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to sukhbir</p>
    <a href="#comment-188929">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-188929" class="permalink" rel="bookmark">Very glad to hear it!  Keep</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Very glad to hear it!  Keep up all your good work, don't let the current bad press get you down!</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-188951"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-188951" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 28, 2016</p>
    </div>
    <a href="#comment-188951">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-188951" class="permalink" rel="bookmark">Thanks Sukhbir and team!</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thanks Sukhbir and team!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-189081"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-189081" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 29, 2016</p>
    </div>
    <a href="#comment-189081">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-189081" class="permalink" rel="bookmark">I&#039;ve used birdie since it</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I've used birdie since it came out I think in both an msw and linux environments.  This is the first time this has happened so I'm sharing it with you.  When I read the article on the new release I went to check if it was upgraded and to my surprise it was updated and disabled.  I know nobody has had access and I wouldn't ever disable it without going offline firsts.  So why would such a thing happen.  No I am getting paranoid and I'll check for the green thngy being on before switching to online.  This is on debian 8.5 with icedove.  Any cluess?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-189215"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-189215" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  sukhbir
  </article>
    <div class="comment-header">
      <p class="comment__submitted">sukhbir said:</p>
      <p class="date-time">June 30, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-189081" class="permalink" rel="bookmark">I&#039;ve used birdie since it</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-189215">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-189215" class="permalink" rel="bookmark">As far as the update goes,</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>As far as the update goes, it is possible that you read the article after the extension was added to Mozilla Add-ons and therefore it was updated automatically. About the extension being disabled, what version of Thunderbird you were using? Note that TorBirdy is supported for Thunderbird 37+.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-189344"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-189344" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 01, 2016</p>
    </div>
    <a href="#comment-189344">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-189344" class="permalink" rel="bookmark">IceD 45.1,0
Since it never</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>IceD 45.1,0</p>
<p>Since it never happened before I am wondering for how long it was under this condition and I did not know.  I am also trying to find out if you have an onion server address without birdie the connection wouldn't be possible, would there be a warning such as "server address unreachable" or something like this which I never saw.</p>
<p>I think I will turn autoupdate totally off anywhere I can because if I am sure of anything 100% is that I did not disable it myself.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-189456"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-189456" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  sukhbir
  </article>
    <div class="comment-header">
      <p class="comment__submitted">sukhbir said:</p>
      <p class="date-time">July 01, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-189344" class="permalink" rel="bookmark">IceD 45.1,0
Since it never</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-189456">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-189456" class="permalink" rel="bookmark">If it helps, starting with</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>If it helps, starting with the current release, TorBirdy will reflect status changes (enabled/disabled/uninstalled) without a restart so that should help in such problems. (See #10683).</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-189449"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-189449" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 01, 2016</p>
    </div>
    <a href="#comment-189449">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-189449" class="permalink" rel="bookmark">Hello, is it normal packages</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hello, is it normal packages are not updated yet in Debian repos (testing/unstable)?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-189454"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-189454" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  sukhbir
  </article>
    <div class="comment-header">
      <p class="comment__submitted">sukhbir said:</p>
      <p class="date-time">July 01, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-189449" class="permalink" rel="bookmark">Hello, is it normal packages</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-189454">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-189454" class="permalink" rel="bookmark">Yes, it takes a while for</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Yes, it takes a while for packages to be uploaded but I have asked the maintainer to have a look at it.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-189533"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-189533" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 02, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to sukhbir</p>
    <a href="#comment-189533">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-189533" class="permalink" rel="bookmark">Alright good to know. Thanks</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Alright good to know. Thanks for the feedback.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-189524"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-189524" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 02, 2016</p>
    </div>
    <a href="#comment-189524">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-189524" class="permalink" rel="bookmark">Hello, since this version it</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hello, since this version it is no possible to set IP-addresses for no proxy. I've running an e-mail server on 127.0.0.1. Thunderbird can not get messages from this server. Is there a specific reasons for this change?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-189553"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-189553" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  sukhbir
  </article>
    <div class="comment-header">
      <p class="comment__submitted">sukhbir said:</p>
      <p class="date-time">July 02, 2016</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-189524" class="permalink" rel="bookmark">Hello, since this version it</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-189553">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-189553" class="permalink" rel="bookmark">Thanks for reporting. This</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thanks for reporting. This is due to setting network.proxy.no_proxies_on to "". Thinking about it, it actually breaks more than the benefits it gives so I think we will revert this setting in the new release. For now, you can delete line line 49 in components/torbirdy.js and build an XPI for yourself (running `make` should be enough). I will update this.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-190126"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-190126" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 06, 2016</p>
    </div>
    <a href="#comment-190126">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-190126" class="permalink" rel="bookmark">Where I can delete the</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Where I can delete the cache? Some CSS has wrong design on web page and I wanna delete all the cache.</p>
</div>
  </div>
</article>
<!-- Comment END -->
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
